petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatPartitioningSetVertexWeights

Sets the weights for vertices for a partitioning.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPartitioningSetVertexWeights(MatPartitioning part,const PetscInt weights[])

Logically Collective on Partitioning

### Input Parameters

| part | - the partitioning context
| weights | - the weights, on each process this array must have the same size as the number of local rows

### Notes

The array weights is freed by PETSc so the user should not free the array. In C/C++ the array must be obtained with a call to PetscMalloc(), not malloc().

### Keywords

Partitioning, destroy, context

### See Also

MatPartitioningCreate(), MatPartitioningSetType(), MatPartitioningSetPartitionWeights()

### Level

beginner

### Location

src/mat/partition/partition.c

### Examples

src/mat/examples/tutorials/ex15.c.html
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages